Genann 缓冲区错误漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1218420 漏洞类型 缓冲区错误
发布时间 2018-07-13 更新时间 2019-10-23
CVE编号 CVE-2018-13996 CNNVD-ID CNNVD-201807-1144
漏洞平台 N/A CVSS评分 N/A
|漏洞来源
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-201807-1144
|漏洞详情
Genann是一个开源的神经网络库。 Genann 2018-07-08及之前版本中的genann.c文件的‘genann_train’函数存在栈缓冲区溢出漏洞。攻击者可利用该漏洞造成基于栈的缓冲区越界读取。
|参考资料

来源:github.com

链接:https://github.com/codeplea/genann/issues/24#issue-340516591